### Interface

# CloudProviders DbusObject

#### Description [src]

    interface CloudProviders.DbusObject : Gio.DBusObject

The `CloudProvidersDbusObject` type is a specialized container of interfaces.

#### Prerequisite

In order to implement DbusObject, your type must inherit from`GDBusObject`.

#### Implementations

- CloudProvidersDbusObjectProxy
- CloudProvidersDbusObjectSkeleton

#### Instance methods

###### cloud_providers_dbus_object_get_account

Gets the `CloudProvidersDbusAccount` instance for the D-Bus interface org.freedesktop.CloudProviders.Account on `object`, if any.

###### cloud_providers_dbus_object_get_provider

Gets the `CloudProvidersDbusProvider` instance for the D-Bus interface org.freedesktop.CloudProviders.Provider on `object`, if any.

###### cloud_providers_dbus_object_peek_account

Like `cloud_providers_dbus_object_get_account()` but doesn’t increase the reference count on the returned object.

###### cloud_providers_dbus_object_peek_provider

Like `cloud_providers_dbus_object_get_provider()` but doesn’t increase the reference count on the returned object.

#### Properties

###### CloudProviders.DbusObject:account

The `CloudProvidersDbusAccount` instance corresponding to the D-Bus interface org.freedesktop.CloudProviders.Account, if any.

###### CloudProviders.DbusObject:provider

The `CloudProvidersDbusProvider` instance corresponding to the D-Bus interface org.freedesktop.CloudProviders.Provider, if any.

#### Interface structure

    struct CloudProvidersDbusObjectIface {
      GTypeInterface parent_iface;

    }

Virtual table for the `CloudProvidersDbusObject` interface.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.